Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: Robert Pluim <[email-masked]>
Date: Thu, 18 Oct 2018 16:22:53 +0200

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 18 Oct 2018 10:06:27 +0200
>> From: martin rudalics <[email-masked]>
>> CC: [email-masked], David Engster <[email-masked]>, 
>>  "[email-masked]" <[email-masked]>
>> 
>>  > New patch series - I think this has all the features and functionality
>>  > discussed so far.
>> 
>> Eli, I think this should go to the release branch.  If it introduces any
>> problems, we should find out soon enough - I think that most of our GTK
>> users leave the menu bar on.  But it is not just a cosmetic change.
>
> Not a cosmetic change, indeed.
>
> I realize that it fixes an annoying misfeature, but it does so by
> introducing a significant new feature which requires quite a few code
> lines.  For a problem that AFAIU has been with us since time
> immemoriam, I'm really uneasy with putting this on emacs-26.  But I'm
> fully prepared to hear arguments to the contrary.

Iʼve tried the patch now, and am seeing some minor display glitches
from emacs -Q. The space allocated for the menu bar seems slightly too
small, resulting in a dotted line underneath it, see screenshot. This
is with gtk 3.22.30.